/// Endpoint
class _Endpoint {
  // devnet
  static const String devnet = 'https://api.devnet.solana.com';
  // testnet
  static const String testnet = "https://api.testnet.solana.com";
  // mainnet-beta
  static const String mainnetBeta = 'https://api.mainnet-beta.solana.com';
}

enum Cluster {
  // devnet
  devnet,
  // testnet
  testnet,
  // mainnet-beta
  mainnetBeta,
}

String clusterApiUrl(Cluster cluster) {
  switch (cluster) {
    case Cluster.devnet:
      return _Endpoint.devnet;
    case Cluster.testnet:
      return _Endpoint.testnet;
    case Cluster.mainnetBeta:
      return _Endpoint.mainnetBeta;
    default:
      return _Endpoint.devnet;
  }
}
