class GetAccountInfo {
  Context? context;
  Value? value;

  GetAccountInfo({this.context, this.value});

  GetAccountInfo.fromJson(Map<String, dynamic> json) {
    context =
        json['context'] != null ? Context.fromJson(json['context']) : null;
    value = json['value'] != null ? Value.fromJson(json['value']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (context != null) {
      data['context'] = context!.toJson();
    }
    if (value != null) {
      data['value'] = value!.toJson();
    }
    return data;
  }
}

class Context {
  int? slot;

  Context({this.slot});

  Context.fromJson(Map<String, dynamic> json) {
    slot = json['slot'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['slot'] = slot;
    return data;
  }
}

class Value {
  List<String>? data;
  bool? executable;
  int? lamports;
  String? owner;
  int? rentEpoch;

  Value(
      {this.data, this.executable, this.lamports, this.owner, this.rentEpoch});

  Value.fromJson(Map<String, dynamic> json) {
    data = json['data'].cast<String>();
    executable = json['executable'];
    lamports = json['lamports'];
    owner = json['owner'];
    rentEpoch = json['rentEpoch'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['data'] = this.data;
    data['executable'] = executable;
    data['lamports'] = lamports;
    data['owner'] = owner;
    data['rentEpoch'] = rentEpoch;
    return data;
  }
}
