class GetSupply {
  Context? context;
  Value? value;

  GetSupply({this.context, this.value});

  GetSupply.fromJson(Map<String, dynamic> json) {
    context =
        json['context'] != null ? Context.fromJson(json['context']) : null;
    value = json['value'] != null ? Value.fromJson(json['value']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (context != null) {
      data['context'] = context!.toJson();
    }
    if (value != null) {
      data['value'] = value!.toJson();
    }
    return data;
  }
}

class Context {
  int? slot;

  Context({this.slot});

  Context.fromJson(Map<String, dynamic> json) {
    slot = json['slot'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['slot'] = slot;
    return data;
  }
}

class Value {
  int? circulating;
  int? nonCirculating;
  List<String>? nonCirculatingAccounts;
  int? total;

  Value(
      {this.circulating,
      this.nonCirculating,
      this.nonCirculatingAccounts,
      this.total});

  Value.fromJson(Map<String, dynamic> json) {
    circulating = json['circulating'];
    nonCirculating = json['nonCirculating'];
    nonCirculatingAccounts = json['nonCirculatingAccounts'].cast<String>();
    total = json['total'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['circulating'] = circulating;
    data['nonCirculating'] = nonCirculating;
    data['nonCirculatingAccounts'] = nonCirculatingAccounts;
    data['total'] = total;
    return data;
  }
}
