class GetTokenAccountBalance {
  Context? context;
  Value? value;

  GetTokenAccountBalance({this.context, this.value});

  GetTokenAccountBalance.fromJson(Map<String, dynamic> json) {
    context =
        json['context'] != null ? Context.fromJson(json['context']) : null;
    value = json['value'] != null ? Value.fromJson(json['value']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (context != null) {
      data['context'] = context!.toJson();
    }
    if (value != null) {
      data['value'] = value!.toJson();
    }
    return data;
  }
}

class Context {
  int? slot;

  Context({this.slot});

  Context.fromJson(Map<String, dynamic> json) {
    slot = json['slot'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['slot'] = slot;
    return data;
  }
}

class Value {
  String? amount;
  int? decimals;
  double? uiAmount;
  String? uiAmountString;

  Value({this.amount, this.decimals, this.uiAmount, this.uiAmountString});

  Value.fromJson(Map<String, dynamic> json) {
    amount = json['amount'];
    decimals = json['decimals'];
    uiAmount = json['uiAmount'];
    uiAmountString = json['uiAmountString'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['amount'] = amount;
    data['decimals'] = decimals;
    data['uiAmount'] = uiAmount;
    data['uiAmountString'] = uiAmountString;
    return data;
  }
}
