class GetVoteAccounts {
  List<Current>? current;
  List<Delinquent>? delinquent;

  GetVoteAccounts({this.current, this.delinquent});

  GetVoteAccounts.fromJson(Map<String, dynamic> json) {
    if (json['current'] != null) {
      current = <Current>[];
      json['current'].forEach((v) {
        current!.add(Current.fromJson(v));
      });
    }
    if (json['delinquent'] != null) {
      delinquent = <Delinquent>[];
      json['delinquent'].forEach((v) {
        delinquent!.add(Delinquent.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (current != null) {
      data['current'] = current!.map((v) => v.toJson()).toList();
    }
    if (delinquent != null) {
      data['delinquent'] = delinquent!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Current {
  int? commission;
  bool? epochVoteAccount;
  List<List<int>>? epochCredits;
  String? nodePubkey;
  int? lastVote;
  int? activatedStake;
  String? votePubkey;

  Current(
      {this.commission,
      this.epochVoteAccount,
      this.epochCredits,
      this.nodePubkey,
      this.lastVote,
      this.activatedStake,
      this.votePubkey});

  Current.fromJson(Map<String, dynamic> json) {
    commission = json['commission'];
    epochVoteAccount = json['epochVoteAccount'];
    if (json['epochCredits'] != null) {
      epochCredits = List.generate(0, (index) => <int>[]);
      json['epochCredits'].forEach((v) {
        final list = <int>[];
        v?.forEach((v) {
          list.add(v);
        });
        if (list.length > 0) {
          epochCredits!.add(list);
        }
      });
    }
    nodePubkey = json['nodePubkey'];
    lastVote = json['lastVote'];
    activatedStake = json['activatedStake'];
    votePubkey = json['votePubkey'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['commission'] = commission;
    data['epochVoteAccount'] = epochVoteAccount;
    if (epochCredits != null) {
      data['epochCredits'] = epochCredits!.map((v) => v).toList();
    }
    data['nodePubkey'] = nodePubkey;
    data['lastVote'] = lastVote;
    data['activatedStake'] = activatedStake;
    data['votePubkey'] = votePubkey;
    return data;
  }
}

class Delinquent {
  int? commission;
  bool? epochVoteAccount;
  List<List<int>>? epochCredits;
  String? nodePubkey;
  int? lastVote;
  int? activatedStake;
  String? votePubkey;

  Delinquent(
      {this.commission,
      this.epochVoteAccount,
      this.epochCredits,
      this.nodePubkey,
      this.lastVote,
      this.activatedStake,
      this.votePubkey});

  Delinquent.fromJson(Map<String, dynamic> json) {
    commission = json['commission'];
    epochVoteAccount = json['epochVoteAccount'];
    if (json['epochCredits'] != null) {
      epochCredits = List.generate(0, (index) => <int>[]);
      json['epochCredits'].forEach((v) {
        final list = <int>[];
        v?.forEach((v) {
          list.add(v);
        });
        if (list.length > 0) {
          epochCredits!.add(list);
        }
      });
    }
    nodePubkey = json['nodePubkey'];
    lastVote = json['lastVote'];
    activatedStake = json['activatedStake'];
    votePubkey = json['votePubkey'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['commission'] = commission;
    data['epochVoteAccount'] = epochVoteAccount;
    if (epochCredits != null) {
      data['epochCredits'] = epochCredits!.map((v) => v).toList();
    }
    data['nodePubkey'] = nodePubkey;
    data['lastVote'] = lastVote;
    data['activatedStake'] = activatedStake;
    data['votePubkey'] = votePubkey;
    return data;
  }
}
